# Configuration

Now that the basic onboarding is complete, let's see for which use case we need CRMs

### CRM Config

We need to add **Shopify, BigCommerce, WooCommerce, or Salesforce CRM on EdgeTag** to determine `new_customer` value on the Duel payload.

{% hint style="info" %}
This step can be ignored if `new_customer` is not a desired property for your implementation
{% endhint %}

#### Duel Payload

```
{
  "order": "190315",
  "customer_id": "884e70d0-54b5-436d-93ba-8f01c11ec2fa-1755068111739",
  "new_customer": true,
  "date": "2025-08-19T17:14:35.759Z",
  "total": 20.5,
  "total_gross": 20.5,
  "currency": "USD",
  "email": "onboarding@test.com",
  "promo": [
    "OFF20",
    "BONUS150"
  ],
  "affiliate": ""
}
```

### Profitability Plugin

We need this plugin to send the net amount as the total after deducting promo and shipping costs.

Without this plugin, the `total` and `toal_gross` values will be the same.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.edgetag.io/channels/duel/configuration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
